Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
Đăng nhập để thực hiện theo  
tuvanthietke.hcm

Giúp mình change width factor của Text

Các bài được khuyến nghị

Mình thay đổi trong text style và properties cũng không được là sao, bạn nào có lisp quét chọn text thì tất cả text có cùng 1 font, cùng hight và width factor. Cảm ơn. Đôi lúc MA không được và width factor=1. Text hay nhảy lắm

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
phamngoctukts    708

Mình thay đổi trong text style và properties cũng không được là sao, bạn nào có lisp quét chọn text thì tất cả text có cùng 1 font, cùng hight và width factor. Cảm ơn. Đôi lúc MA không được và width factor=1. Text hay nhảy lắm

Của bạn đây. Hi vọng bạn hài lòng

(defun c:matext()
(vl-load-com)
 (setq ent (entget(car(entsel " chon text mau: ")))
sslist (acet-ss-to-list(ssget '((0 . "*TEXT"))))
)
 (foreach n sslist
   (entmod(subst (assoc 41 ent) (assoc 41 (entget n)) (entget n)))
   (entmod(subst (assoc 7 ent) (assoc 7 (entget n)) (entget n)))
   )
 )

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Của bạn đây. Hi vọng bạn hài lòng

(defun c:matext()
(vl-load-com)
 (setq ent (entget(car(entsel " chon text mau: ")))
sslist (acet-ss-to-list(ssget '((0 . "*TEXT"))))
)
 (foreach n sslist
   (entmod(subst (assoc 41 ent) (assoc 41 (entget n)) (entget n)))
   (entmod(subst (assoc 7 ent) (assoc 7 (entget n)) (entget n)))
   )
 )

 

Cảm ơn bạn, nhưng mình vẫn không change được width factor? bạn có thể giúp mình

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
phamngoctukts    708

Cảm ơn bạn, nhưng mình vẫn không change được width factor? bạn có thể giúp mình

ban up thu file mau cua ban lên xem text có bị thay đổi gì không. Mình đã test thử chạy ok rồi mà.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
dovansinh    0

 

Mình thay đổi trong text style và properties cũng không được là sao, bạn nào có lisp quét chọn text thì tất cả text có cùng 1 font, cùng hight và width factor. Cảm ơn. Đôi lúc MA không được và width factor=1. Text hay nhảy lắm

bạn chuyển dtext thành mtext sau đó explode mtext thành dtext là chỉnh sửa được width factor

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×